Ask Your Question
0

make error > depends on non-existent package gazebo

asked 2013-03-25 08:32:52 -0500

Mohsen Hk gravatar image

updated 2013-03-25 21:07:42 -0500

i have gazebo , i installed gazebo with synaptic and i can open it with "$gazebo" in terminal. when i make hector_gazebo_plugins package, it gave me this error :( any body help?

mohsen@mohsen-ThinkPad-R500:~/fuerte_workspace/tu-darmstadt-ros-pkg/hector_gazebo/hector_gazebo_plugins$ make
mkdir -p bin
cd build && cmake -Wdev -DCMAKE_TOOLCHAIN_FILE=`rospack find rosbuild`/rostoolchain.cmake  ..
[rosbuild] Building package hector_gazebo_plugins
Failed to invoke /opt/ros/fuerte/bin/rospack deps-manifests hector_gazebo_plugins
[rospack] Error: package/stack hector_gazebo_plugins depends on non-existent package gazebo


CMake Error at /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:129 (message):



  Failed to invoke rospack to get compile flags for package
  'hector_gazebo_plugins'.  Look above for errors from rospack itself.
  Aborting.  Please fix the broken dependency!

Call Stack (most recent call first):
  /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:203 (rosbuild_invoke_rospack)
  CMakeLists.txt:12 (rosbuild_init)


-- Configuring incomplete, errors occurred!
make: *** [all] Error 1
mohsen@mohsen-ThinkPad-R500:~/fuerte_workspace/tu-darmstadt-ros-pkg/hector_gazebo/hector_gazebo_plugins$
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-03-25 08:56:33 -0500

joq gravatar image

updated 2013-03-25 12:30:04 -0500

Each ROS distro is built with its own consistent copy of Gazebo, plus some plugins for working in a ROS environment.

To install the Fuerte version on Ubuntu:

$ sudo apt-get install ros-fuerte-simulator-gazebo

EDIT: looks like your problem is with the Hector plugins, themselves. Does this help?

$ sudo apt-get install ros-fuerte-hector-gazebo
edit flag offensive delete link more

Comments

mohsen@mohsen-ThinkPad-R500:~$ sudo apt-get install ros-fuerte-simulator-gazebo [sudo] password for mohsen: Reading package lists... Done Building dependency tree
Reading state information... Done ros-fuerte-simulator-gazebo is already the newest version.

Mohsen Hk gravatar image Mohsen Hk  ( 2013-03-25 09:08:24 -0500 )edit

The following packages were automatically installed and are no longer required: ttf-umefont libc6-i386 lib32gcc1 wine-gecko1.4 wine-gecko1.4:i386 ttf-unfonts-core Use 'apt-get autoremove' to remove them. 0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded. mohsen@mohsen-ThinkPad-R500:~$

Mohsen Hk gravatar image Mohsen Hk  ( 2013-03-25 09:09:00 -0500 )edit

===========================================================

Mohsen Hk gravatar image Mohsen Hk  ( 2013-03-25 21:04:00 -0500 )edit

mohsen@mohsen-ThinkPad-R500:~$ sudo apt-get install ros-fuerte-hector-gazebo [sudo] password for mohsen: Reading package lists... Done Building dependency tree
Reading state information... Done ros-fuerte-hector-gazebo is already the newest version.

Mohsen Hk gravatar image Mohsen Hk  ( 2013-03-25 21:04:32 -0500 )edit

The following packages were automatically installed and are no longer required: ttf-umefont libc6-i386 lib32gcc1 wine-gecko1.4 wine-gecko1.4:i386 ttf-unfonts-core Use 'apt-get autoremove' to remove them. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. mohsen@mohsen-ThinkPad-R500:~$

Mohsen Hk gravatar image Mohsen Hk  ( 2013-03-25 21:04:55 -0500 )edit

If you already had the package installed, why are you trying to build it?

joq gravatar image joq  ( 2013-03-26 03:30:20 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-03-25 08:32:52 -0500

Seen: 436 times

Last updated: Mar 25 '13